> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# トークン - メタデータ

> トークンのメタデータを取得



## OpenAPI

````yaml /jp/api-reference/openapi-data-jp.yaml GET /v2/token/{chain}/{tokenAddress}/metadata
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: ブロックチェーン関連の操作
  - name: Token
    description: トークン関連の操作
  - name: Trade
    description: 取引関連の操作
  - name: Wallet
    description: ウォレット関連の操作
  - name: Dex
    description: DEX 関連の操作
  - name: Ranking
    description: ランキング関連の操作
  - name: DexPool
    description: DEX プール関連の操作
  - name: Watchlist
    description: ウォッチリスト関連の操作
  - name: KYT
    description: KYT 関連の操作
  - name: Webhook
    description: Webhook 関連の操作
  - name: RedPacket
    description: レッドパケット関連の操作
  - name: IPFS
    description: IPFS 関連の操作
  - name: DexScreener
    description: DexScreener 関連の操作
paths:
  /v2/token/{chain}/{tokenAddress}/metadata:
    get:
      tags:
        - Token
      summary: トークン - メタデータ
      description: トークンのメタデータを取得
      operationId: get.metadata
      parameters:
        - name: chain
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddress
          in: path
          description: トークンのアドレス
          required: true
          schema:
            type: string
          example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
      responses:
        '200':
          description: メタデータを取得
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenMetadata'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    TokenMetadata:
      type: object
      description: Token metadata
      required:
        - address
        - chain
        - symbol
        - name
        - decimals
      properties:
        address:
          type: string
          description: トークンコントラクトアドレス
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        chain:
          type: string
          description: ブロックチェーンネットワーク識別子
          example: sol
        coingeckoCoinId:
          type:
            - string
            - 'null'
          description: CoinGecko コイン識別子
          example: usd-coin
        decimals:
          type: string
          description: 小数点以下の桁数
          example: '9'
        description:
          type:
            - string
            - 'null'
          description: トークンの説明
          example: USDC is a stablecoin pegged to the US dollar
        devLastTokenCreatedAt:
          type:
            - string
            - 'null'
          description: 開発者の最後のトークン作成タイムスタンプ
          example: '2025-12-03T09:23:34.000Z'
        devTotalTokens:
          type:
            - string
            - 'null'
          description: 開発者が作成したトークンの総数
          example: '163'
        extra:
          $ref: '#/components/schemas/TokenExtra'
          description: 拡張トークンメタデータ
        firstTradeAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 初回取引のタイムスタンプ
          example: 1714857600000
        imageUrl:
          type:
            - string
            - 'null'
          description: トークンロゴ画像 URL
          example: >-
            https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png
        metadataAddress:
          type:
            - string
            - 'null'
          description: オンチェーンメタデータアカウントアドレス
          example: metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s
        name:
          type: string
          description: トークンの表示名
          example: USD Coin
        socialMedias:
          $ref: '#/components/schemas/TokenSocialMedias'
          description: トークンのソーシャルメディアリンク
        symbol:
          type: string
          description: トークンのティッカーシンボル
          example: USDC
        tokenCreatedAt:
          type:
            - integer
            - 'null'
          format: int64
          description: トークン作成タイムスタンプ（ミリ秒）
          example: 1710417600000
        tokenCreatedBlockHeight:
          type:
            - string
            - 'null'
          description: トークンが作成されたブロック高
          example: '220000000'
        tokenCreatedSlot:
          type:
            - string
            - 'null'
          description: トークンが作成されたスロット番号
          example: '230000000'
        tokenCreatedTxSignature:
          type:
            - string
            - 'null'
          description: トークン作成のトランザクション署名
          example: 5dJ1BxPiFT7w7aBdkxNy2jopGZnZoLwRwS8e9GkEXrVz...
        tokenCreators:
          type: array
          items:
            $ref: '#/components/schemas/TokenCreator'
          description: トークン作成者リスト
        translations:
          $ref: '#/components/schemas/TokenTranslations'
          description: 名前/シンボルのローカライズ翻訳
        updatedAt:
          type:
            - string
            - 'null'
          description: 最終更新タイムスタンプ
          example: '2026-02-09T08:05:12.345Z'
        uri:
          type:
            - string
            - 'null'
          description: トークンメタデータ URI
          example: https://arweave.net/abc123
    TokenExtra:
      type: object
      description: Token extra metadata
      properties:
        collectionAddress:
          type:
            - string
            - 'null'
          description: NFT コレクションアドレス
          example: ABCDE
        dexscreenerAd:
          type:
            - boolean
            - 'null'
          description: トークンにアクティブな DexScreener 広告があるか
        dexscreenerAdAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 広告のタイムスタンプ
        dexscreenerBannerUrl:
          type:
            - string
            - 'null'
          description: DexScreener banner image URL
        dexscreenerBoostAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener ブーストのタイムスタンプ
        dexscreenerBoostFeeInUsd:
          type:
            - string
            - 'null'
          description: DexScreener ブースト費用（USD）
        dexscreenerTrendingBar:
          type:
            - boolean
            - 'null'
          description: トークンが DexScreener トレンドバーに表示されるか
        dexscreenerTrendingBarAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener トレンドバー表示のタイムスタンプ
        dexscreenerUpdateLink:
          type:
            - boolean
            - 'null'
          description: トークンプロフィールのリンクが DexScreener で更新されたか
        dexscreenerUpdateLinkAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener リンク更新のタイムスタンプ
        editionNonce:
          type:
            - integer
            - 'null'
          format: int64
          description: エディション nonce 値
          example: 1
        freezeAuthority:
          type:
            - string
            - 'null'
          description: フリーズ権限アドレス
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
        fungible:
          type:
            - boolean
            - 'null'
          description: トークンが代替可能かどうか
          example: true
        isMutable:
          type:
            - boolean
            - 'null'
          description: メタデータが変更可能かどうか
          example: true
        isNative:
          type:
            - boolean
            - 'null'
          description: ネイティブトークン（例：SOL）かどうか
          example: false
        isVerifiedCollection:
          type:
            - boolean
            - 'null'
          description: コレクションが検証済みかどうか
          example: true
        isWrapped:
          type:
            - boolean
            - 'null'
          description: トークンがラップされているかどうか
          example: false
        key:
          type:
            - string
            - 'null'
          description: Metaplex アカウントキータイプ
          example: Mint
        launchFromProgramAddress:
          type:
            - string
            - 'null'
          description: ローンチプラットフォームのプログラムアドレス
          example: 6EF8rrecthR5Dkzon8Nwu78hRvfCKubJ14M5uBEwF6P
        launchFromProtocolFamily:
          type:
            - string
            - 'null'
          description: ローンチプラットフォームのプロトコルファミリー
          example: pumpfun
        launchQuoteTokenAddress:
          type:
            - string
            - 'null'
          description: ローンチ時に使用された決済トークンのアドレス
        migratedAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 移行タイムスタンプ（ミリ秒）
          example: 1714857600000
        migratedToPoolAddress:
          type:
            - string
            - 'null'
          description: 移行先プールアドレス
          example: 7AvUMqLBou5EAXzyhnizWmPU13u2VguJoBYdcX4bhJtQ
        migratedToProgramAddress:
          type:
            - string
            - 'null'
          description: 移行先プログラムアドレス
          example: pAMMBay6oceH9fJKBRHGP5D4bD4sWpmSwMn52FMfXEA
        migratedToProtocolFamily:
          type:
            - string
            - 'null'
          description: 移行先プロトコルファミリー
          example: Raydium
        mintAuthority:
          type:
            - string
            - 'null'
          description: ミント権限アドレス
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
        primarySaleHappened:
          type:
            - boolean
            - 'null'
          description: プライマリセールが発生したかどうか
          example: false
        programAddress:
          type:
            - string
            - 'null'
          description: トークンプログラムアドレス
          example: TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA
        sellerFeeBasisPoints:
          type:
            - integer
            - 'null'
          format: int64
          description: 販売手数料（ベーシスポイント）
          example: 100
        tokenStandard:
          type:
            - string
            - 'null'
          description: トークン規格（例：Fungible）
          example: Fungible
        updateAuthority:
          type:
            - string
            - 'null'
          description: 更新権限アドレス
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
    TokenSocialMedias:
      type: object
      description: Token social media links
      properties:
        bitbucket:
          type:
            - string
            - 'null'
          description: Bitbucket リポジトリ URL
          example: https://bitbucket.org/circle
        discord:
          type:
            - string
            - 'null'
          description: Discord サーバー URL
          example: https://discord.gg/circle
        facebook:
          type:
            - string
            - 'null'
          description: Facebook ページ URL
          example: https://facebook.com/circle
        farcaster:
          type:
            - string
            - 'null'
          description: Farcaster ハンドルまたは URL
          example: https://warpcast.com/vitalik
        github:
          type:
            - string
            - 'null'
          description: GitHub リポジトリ URL
          example: https://github.com/circle
        instagram:
          type:
            - string
            - 'null'
          description: Instagram ハンドル
          example: '@circle'
        linkedin:
          type:
            - string
            - 'null'
          description: LinkedIn ページ URL
          example: https://linkedin.com/company/circle
        medium:
          type:
            - string
            - 'null'
          description: Medium ブログ URL
          example: https://medium.com/@circle
        reddit:
          type:
            - string
            - 'null'
          description: Reddit コミュニティ URL
          example: https://reddit.com/r/circle
        telegram:
          type:
            - string
            - 'null'
          description: Telegram グループ URL
          example: https://t.me/circle
        tiktok:
          type:
            - string
            - 'null'
          description: TikTok ハンドル
          example: '@circle'
        twitter:
          type:
            - string
            - 'null'
          description: Twitter ハンドルまたは URL
          example: '@circle'
        website:
          type:
            - string
            - 'null'
          description: 公式ウェブサイト URL
          example: https://www.circle.com
        youtube:
          type:
            - string
            - 'null'
          description: YouTube チャンネル URL
          example: https://youtube.com/@circle
    TokenCreator:
      type: object
      description: Token creator info
      properties:
        address:
          type:
            - string
            - 'null'
          description: 作成者のウォレットアドレス
          example: 5e2qRc1DNEXmyxP8qwPwJhRWjef7usLyi7v5xjqLr5G7
        isVerified:
          type:
            - boolean
            - 'null'
          description: 作成者が検証済みかどうか
          example: true
        share:
          type:
            - integer
            - 'null'
          format: int64
          description: 作成者の収益分配割合
          example: 100
    TokenTranslations:
      type: object
      description: |-
        Token translations for multi-locale display (e.g. Chinese markets).
        Sourced from CoinGecko `/coins/{id}` localization or community data.
      properties:
        nameZhcn:
          type:
            - string
            - 'null'
        symbolZhcn:
          type:
            - string
            - 'null'
        transName:
          type:
            - string
            - 'null'
        transSymbol:
          type:
            - string
            - 'null'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````